Bug 1289612 - RHELOSP deployment fails with "undefined method `each_pair' for #<Fusor::Deployment:0x000000102b95e8>"
RHELOSP deployment fails with "undefined method `each_pair' for #<Fusor::Depl...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Quickstart Cloud Installer
Classification: Red Hat
Component: Installation - RHELOSP (Show other bugs)
1.0
Unspecified Unspecified
unspecified Severity urgent
: TP2
: 1.0
Assigned To: dgao
Antonin Pagac
Dan Macpherson
: Triaged
Depends On:
Blocks: rhci-sprint-11 rhci-sprint-12
  Show dependency treegraph
 
Reported: 2015-12-08 09:44 EST by Antonin Pagac
Modified: 2016-10-03 15:01 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-03 15:01:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
relevant part from production.log (40.15 KB, text/plain)
2015-12-08 09:44 EST, Antonin Pagac
no flags Details

  None (edit)
Description Antonin Pagac 2015-12-08 09:44:32 EST
Created attachment 1103630 [details]
relevant part from production.log

Description of problem:
RHELOSP deployment fails at 0.0%, just after content sync, with error:

  Error undefined method `each_pair' for #<Fusor::Deployment:0x000000102b95e8>

Task label: Actions::Fusor::Deployment::OpenStack::Deploy
Attached relevant part of production.log.

Version-Release number of selected component (if applicable):
RHCI-6.0-RHEL-7-20151207.t.0-RHCI-x86_64-dvd1.iso
RHCIOOO-7-RHEL-7-20151201.t.1-RHCIOOO-x86_64-dvd1.iso

How reproducible:
Happened to me once

Steps to Reproduce:
1. Do a deployment of RHELOSP
2. After content sync the error appears
3.

Actual results:
Error during RHELOSP installation; unable to continue deployment

Expected results:
No error during deployment

Additional info:
Comment 1 dgao 2015-12-08 10:46:58 EST
Fix is found in https://github.com/fusor/fusor/pull/548
Comment 2 Antonin Pagac 2016-01-05 10:08:35 EST
Verified using:
RHCI-6.0-RHEL-7-20151223.t.0-RHCI-x86_64-dvd1.iso
RHCIOOO-7-RHEL-7-20151208.t.0-RHCIOOO-x86_64-dvd1.iso

Note You need to log in before you can comment on or make changes to this bug.